uuid: b2a58cb0-119a-4dbc-ac68-f8316dbd0aa6
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.teaser
    - field.storage.node.field_degree_option
    - field.storage.node.field_keywords
    - field.storage.node.field_learn_category
    - field.storage.node.field_program_department
    - field.storage.node.field_program_type
    - field.storage.taxonomy_term.field_sort_order
    - search_api.server.durham_tech
  module:
    - node
    - search_api_exclude_entity
    - taxonomy
id: program_index
name: 'Program Index'
description: ''
read_only: false
field_settings:
  degree_option_name:
    label: 'Degree Option » Taxonomy term » Name'
    datasource_id: 'entity:node'
    property_path: 'field_degree_option:entity:name'
    type: string
    dependencies:
      config:
        - field.storage.node.field_degree_option
      module:
        - taxonomy
  field_degree_option:
    label: 'Degree Option'
    datasource_id: 'entity:node'
    property_path: field_degree_option
    type: integer
    dependencies:
      config:
        - field.storage.node.field_degree_option
  field_keywords:
    label: Keywords
    datasource_id: 'entity:node'
    property_path: field_keywords
    type: text
    boost: 21.0
    dependencies:
      config:
        - field.storage.node.field_keywords
  field_learn_category:
    label: 'Learn Category'
    datasource_id: 'entity:node'
    property_path: field_learn_category
    type: string
    dependencies:
      config:
        - field.storage.node.field_learn_category
  field_program_department:
    label: Department
    datasource_id: 'entity:node'
    property_path: field_program_department
    type: integer
    dependencies:
      config:
        - field.storage.node.field_program_department
  field_program_type:
    label: 'Program Type'
    datasource_id: 'entity:node'
    property_path: field_program_type
    type: integer
    dependencies:
      config:
        - field.storage.node.field_program_type
  field_sort_order:
    label: 'Degree Option » Taxonomy term » Sort Order'
    datasource_id: 'entity:node'
    property_path: 'field_degree_option:entity:field_sort_order'
    type: integer
    dependencies:
      config:
        - field.storage.node.field_degree_option
        - field.storage.taxonomy_term.field_sort_order
      module:
        - taxonomy
  name:
    label: Name
    datasource_id: 'entity:taxonomy_term'
    property_path: name
    type: string
    dependencies:
      module:
        - taxonomy
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  rendered_item:
    label: 'Rendered HTML output'
    property_path: rendered_item
    type: text
    boost: 0.8
    configuration:
      roles:
        anonymous: anonymous
      view_mode:
        'entity:node':
          program: teaser
  status:
    label: status
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: text
    dependencies:
      module:
        - node
  uid:
    label: uid
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - program
    languages:
      default: true
      selected: {  }
  'entity:taxonomy_term':
    bundles:
      default: true
      selected:
        - learn
    languages:
      default: true
      selected:
        - en
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  content_access:
    weights:
      preprocess_query: -30
  entity_status: {  }
  entity_type: {  }
  hierarchy:
    weights:
      preprocess_index: -45
    fields:
      field_learn_category: taxonomy_term-field_academic_level
  ignore_character:
    weights:
      preprocess_index: -10
      preprocess_query: -10
    all_fields: false
    fields:
      - field_learn_category
      - name
      - rendered_item
      - title
    ignorable: "['¿¡!?,.:;]"
    ignorable_classes:
      - Pc
      - Pd
      - Pe
      - Pf
      - Pi
      - Po
      - Ps
  ignorecase:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: false
    fields:
      - field_keywords
      - field_learn_category
      - name
      - rendered_item
      - title
  language_with_fallback: {  }
  rendered_item: {  }
  search_api_exclude_entity_processor:
    fields:
      node: {  }
      taxonomy_term: {  }
  transliteration:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: false
    fields:
      - field_keywords
      - field_learn_category
      - name
      - rendered_item
      - title
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 50
  index_directly: false
  track_changes_in_references: true
server: durham_tech
